#!/bin/bash

ver="$(su -l op5lsu -c "psql -U op5lsu op5lsu -c 'SELECT version FROM service' -t | sed 's/ //g'")"

let targ=$ver+1;

status=0

while [ -d "/opt/logger/upgrade/up${ver}to${targ}" ]
do
    pushd "/opt/logger/upgrade/up${ver}to${targ}" >/dev/null
    if [ -x upgrade.sh ]; then
        ./upgrade.sh || status=1
    else
        echo "Upgrading SyslogDB to version: ${targ}"
        su -l op5lsu -c "PGOPTIONS='--client-min-messages=warning' psql --quiet -U op5lsu -d op5lsu -f $PWD/up${ver}to${targ}.sql" || status=1
    fi
    popd >/dev/null

    if [ $status -eq 1 ]
    then
        echo "Failed to upgrade layout to version: ${targ}"
        exit 1
    fi

    let ver++;
    let targ++;
done
